// BARYCENTER GOES HERE
Barycenter  "LookAtDatDakka A.3-LookAtDatDakka A.3 I"
{
	ParentBody   "LookAtDatDakka A"
	Obliquity  0
	Orbit
	{
		SemiMajorAxis   3.4512
		Eccentricity    0.05
	}
}

Barycenter  "MoonSystem"
{
	ParentBody   "Super Big"
	Obliquity  45
	Orbit
	{
		SemiMajorAxis   0.02
		Eccentricity    0.00
	}
}

//STARS
Star	"LookAtDatDakka A"
{
	ParentBody     "LookAtDatDakka"
	Class	       "F0 V"
	Age             4.5
	NoPlanets false
	Orbit
	{
		Period   78.67
		SemiMajorAxis   10.81337
		RefPlane       "Ecliptic"
	}
}

Star	"LookAtDatDakka B"
{
	ParentBody     "LookAtDatDakka"
	Class	       "K5 V"
	Age             4.5
	Orbit
	{
		SemiMajorAxis   133.337
		RefPlane       "Ecliptic"
	}
}

Star	"LookAtDatDakka C"
{
	ParentBody     "LookAtDatDakka"
	Class	       "M2 V"
	Age             4.5
	Orbit
	{
		SemiMajorAxis   537.745
		RefPlane       "Ecliptic"
	}
	NoPlanets false       // disable generation of procedural planetary system 
}


//MINI SOLAR SYSTEM

Planet     "Super Big"
{
	ParentBody "LookAtDatDakka"
	Class "IceGiant"
	Radius  15784.86
	Oblateness 0
	RotationPeriod  5
	Orbit
	{
		Period   13210.67777777777777
		SemiMajorAxis     256.5645
		Eccentricity    0.00521
	}
}

Moon
{
	ParentBody "Super Big"
	Class  "Titan"
	Radius  2501.6341
	Orbit
	{
		SemiMajorAxis   0.0005
		Eccentricity    0.002
	}
}

DwarfMoon  "Roche Limit Asteroid"
{
	ParentBody "Super Big"
	Class "Asteroid"
	Radius 0.5015
	Orbit
	{
		SemiMajorAxis  0.000290868525042
	}
}

DwarfMoon  "25km"
{
	ParentBody "Super Big"
	Class "Asteroid"
	Radius 12.5
	Orbit
	{
		SemiMajorAxis  0.001
	}
}

Moon
{
	ParentBody "Super Big"
	Class  "Titan"
	Radius 2461
	Life
	{
		Class  "Exotic"
		Type   "Multicellular"
		Biome  "Marine/Terrestrial"
	}
	Orbit
	{
		SemiMajorAxis   0.0009
		Eccentricity    0.00521
	}
}

Moon  "MoonMini"
{
	ParentBody  "Super Big"
	Class  "Selena"
	Radius  1378.457
	Orbit
	{
		SemiMajorAxis   0.001125
		Eccentricity    0.001
	}
}

Moon  "Moon1"
{
	ParentBody  "MoonSystem"
	Class  "IceWorld"
	Radius  1489.1561
	Orbit
	{
		SemiMajorAxis   8.38247e-6
		Eccentricity    0.01
	}
}

Moon  "Moon2"
{
	ParentBody  "MoonSystem"
	Class  "IceWorld"
	Radius  696.969
	RotationPeriod  8.7
	Orbit
	{
		SemiMajorAxis   0.00010428624
		Eccentricity    0.01
	}
}

Moon
{
	ParentBody "Super Big"
	Class  "Desert"
	Radius 1257.27
	
	Atmosphere
	{
		Model          "Mars"
		Height          38.84665
		Density         0.7082083
		Opacity         1
	}
	
	Orbit
	{
		SemiMajorAxis   0.00075
		Eccentricity    0.001012
	}
}

//ICE WORLD System

DwarfPlanet  "IcyPlato"
{
	ParentBody "LookAtDatDakka"
	Class  "IceWorld"
	Radius  133.37
	Orbit
	{
		SemiMajorAxis  294.534
		Period 18041.423
	}
}

// A Solar System DO NOT MODIFY BELOW IF YOU DON'T KNOW WHAT ARE YOU DOING; 🚫🔧>🔧

DwarfPlanet      "Scorchy"
{ 
    ParentBody "LookAtDatDakka A" 
	Class "Desert"
    Radius     494.994536   // or Mass 1.5
	Atmosphere 
        { 
			Height 25.414
        }			
    Orbit 
            { 
                SemiMajorAxis  0.10136 // or Period 2.2 
            } 
}

Planet    "LookAtDatDakka A.1" 
{ 
            ParentBody "LookAtDatDakka A" 
			Class "Desert"
            Radius     2262.2271   // or Mass 1.5 
            Orbit 
            { 
                SemiMajorAxis  0.23512 // or Period 2.2 
            } 
}

DwarfPlanet    "LookAtDatDakka A.2" 
{ 
            ParentBody "LookAtDatDakka A" 
			Class "Selena"
            Radius     1507.21   // or Mass 1.5 
            Orbit 
            { 
                SemiMajorAxis  0.451023 // or Period 2.2 
            } 
}


Planet    "Fantasy" 
{ 
            ParentBody "LookAtDatDakka A.3-LookAtDatDakka A.3 I" 
			Class "Terra"
            Radius     5172.452   // or Mass 1.5 
			Age 4.490872324
			Obliquity  21.243
			Life
			{
				Class  "Organic"
				Type   "Multicellular"
				Biome  "Marine/Terrestrial"
			}
			Atmosphere 
            { 
				Model  "Earth"
				Pressure   0.816345
            } 
            Orbit 
            { 
                SemiMajorAxis  0.00005 // or Period 2.2 
            } 
}  

Moon    "LookAtDatDakka A.3 I"

{ 
            ParentBody "LookAtDatDakka A.3-LookAtDatDakka A.3 I" 
			Class "Terra"
            Radius     2541.4214   // or Mass 1.5 
			Age 4.4752132
			Obliquity  21.243
			Life
			{
				Class  "Organic"
				Type   "Multicellular"
				Biome  "Marine/Terrestrial"
			}
            Orbit 
            { 
                SemiMajorAxis  0.000340995769267 // or Period 2.2 
            } 
}

Planet    "LookAtDatDakka A.4" 
{ 
            ParentBody "LookAtDatDakka A" 
			Class "Desert"
            Radius     3361.561   // or Mass 1.5 
			Age 4.490872324
			Atmosphere 
            { 
				Model  "Mars"
				Height 35
            } 
            Orbit 
            { 
                SemiMajorAxis  4.667251 // or Period 2.2 
            } 
}

// B SOLAR SYSTEM
// C SOLAR SYSTEM

Planet "Dreamon"
{
	ParentBody "LookAtDatDakka C"
	Class "Desert"
	Radius 3602.86
	Atmosphere 
    {
		//THE SUN, THE SUN, THE SUN! BAWHAHAHAHAHAHAHAHAHA
		Model  "Sun"
	} 
	Orbit
	{
		Type "Equator"
		SemiMajorAxis  0.069
		Eccentricity   0.069
		Inclination    0.85
	}
}

DwarfMoon  "Zaroff"
{
	ParentBody "Dreamon"
	Class "Asteroid"
	Radius 6.54123
	Orbit
	{
		SemiMajorAxis  0.00010234103
		Eccentricity 0.00924
		Inclination 150.541
	}
}

DwarfMoon  "Ivan"
{
	ParentBody "Dreamon"
	Class "Asteroid"
	Radius 21.254123
	Orbit
	{
		SemiMajorAxis  0.00014244855
		Eccentricity  0.23954
		Inclination 26.4
		AscendingNode 90
	}
}

Planet "LookAtDatDakka C.1"
{
	ParentBody "LookAtDatDakka C"
	Class "Selena"
	Radius 6172.83945
	Orbit
	{
		Type "Equator"
		SemiMajorAxis 0.51
		Eccentricity  0.342
		Inclination   142.213
	}
}

Moon  "God of Life"
{
	ParentBody "LookAtDatDakka C.1"
	Class "Terra"
	Radius 3356.5
	Life
	{
		Class  "Organic"
		Type   "Multicellular"
		Biome  "Marine/Terrestrial"
	}
	Surface
	{
		seaLevel 0.5
	}
	Atmosphere
	{
		Greenhouse 152.13
	}
	Orbit
	{
		Type "Equator"
		SemiMajorAxis 0.00017656
		Eccentricity  0.001
		Inclination   45
	}
}

DwarfPlanet "LookAtDatDakka C.2"
{
	ParentBody "LookAtDatDakka C"
	Class "Selena"
	Radius 1451.234
	Orbit
	{
		Type "Equator"
		SemiMajorAxis 0.97324
		Eccentricity  0.004
		Inclination   1.05
	}
}

// C Asteroid
Asteroid "Asteroid 1"
{
	ParentBody "LookAtDatDakka C"
	Class "Asteroid"
	Radius 131.5
	Orbit
	{
		SemiMajorAxis 0.9452
		Eccentricity 0.015
	}
}

Asteroid "Asteroid 2"
{
	ParentBody "LookAtDatDakka C"
	Class "Asteroid"
	Radius 51.5
	Orbit
	{
		SemiMajorAxis 0.964
		Eccentricity 0.013
		Inclination 1.1
	}
}

Asteroid "Asteroid 3"
{
	ParentBody "LookAtDatDakka C"
	Class "Asteroid"
	Radius 0.0057
	Orbit
	{
		SemiMajorAxis 1.132
		Eccentricity 0.017
		Inclination 2.1
	}
}

Asteroid "Asteroid w/ Moon"
{
	ParentBody "LookAtDatDakka C"
	Class "Asteroid"
	Radius 12.5
	Orbit
	{
		SemiMajorAxis 1
		Eccentricity 0.009
		Inclination 4.1
		AscendingNode 61.742
	}
}

Asteroid "Asteroid Moon"
{
	ParentBody "Asteroid w/ Moon"
	Class "Asteroid"
	Radius 0.5
	Orbit
	{
		SemiMajorAxis 8.937293e-7
		Eccentricity 0.004
		AscendingNode 69.69
	}
}